Fixing BlendLuxCore on macOS 10.15 Catalina

Use this forum for general user support and related questions.
Post Reply
plasmapeppers
Posts: 6
Joined: Sat Jun 22, 2019 5:50 pm

Fixing BlendLuxCore on macOS 10.15 Catalina

Post by plasmapeppers » Sat Feb 01, 2020 9:01 pm

It has come to my attention that BlendLuxCore doesn't run on Catalina with SIP turned on. That's most macOS users, or at least it should be. Thankfully, there is a work around (or you can disable SIP, but only do that if you understand the risks of that action). If the macOS maintainer @u3dreal would make note of this and make it part of the builds that would be very nice.

So what is that work around?

- Download the latest version of Embree from Intel's site. It must be 3.7.x or higher because this is when Intel added support for Catalina. https://www.embree.org/downloads.html

- Take the three new libraries you've now got and replace the ones in Application Support\Blender\2.8x\BlendLuxCore with the new ones you've just downloaded.

Unfortunately that isn't quite the end of the issues. This next part is I think going to take a whole lot more fiddling to get working seamlessly. Open System Preferences - Security & Privacy. Then enable LuxCore as an add-on in Blender. macOS will proceed to take issue with each library that is part of LuxCore one by one, but just allow them to run and reenable LuxCore. It might crash out Blender during this process, but just keep trying until it works. It does at the end, I promise.

This process should work for most modern Macs, if not please drop a reply and I will see what I can figure out.
Last edited by plasmapeppers on Sat Feb 01, 2020 9:27 pm, edited 1 time in total.

User avatar
u3dreal
Developer
Posts: 408
Joined: Tue Dec 03, 2019 3:23 pm
Location: Ulm
Contact:

Re: Fixing BlendLuxCore on macOS 10.15 Catalina

Post by u3dreal » Sat Feb 01, 2020 9:21 pm

Yes unfortunately this seems to be the fact with macos 10.14 and higher. I just found out. I just run High Sierra because .... nvidia :(

Maybe it will be possible to update libembree to version 3.7 so this problem would be solved.

To really get around all of this it is necessary to get an Apple Developer License which is 99$ per year. :evil:

Thanks for posting this workaround !!
check out my newest stuff http://q3de.com/research/
portfolio http://q3de.com/


MB Pro i7 2.3Ghz, IrisPro 1.5GB, GTX750m 2GB - High Sierra
Xeon X5650@4Ghz, 2x GTX 770 Phantom - High Sierra, Windows 10, Ubuntu 18.04

Ahr0n
Posts: 7
Joined: Thu Jan 16, 2020 2:06 pm

Re: Fixing BlendLuxCore on macOS 10.15 Catalina

Post by Ahr0n » Sat Feb 01, 2020 9:58 pm

Maybe asking developers of other engines would be a good idea - how they managed to make the installation possible for every macOS user. For example Radeon Pro Render has an installation wizard, the user has to only enable the plugin in Blender preferences.

If the Apple Developer License is necessary - I believe there are many people with that license who can send it for approval. But I'm not sure about that thing - many times when I install an app on Mac I have to enable it in System Preferences and the warning says that the developer was not identified so you allow the installation of app on you own.

User avatar
u3dreal
Developer
Posts: 408
Joined: Tue Dec 03, 2019 3:23 pm
Location: Ulm
Contact:

Re: Fixing BlendLuxCore on macOS 10.15 Catalina

Post by u3dreal » Sun Feb 02, 2020 6:42 pm

embree has been updated to 3.7 for osx now .. get the latest here.

https://github.com/LuxCoreRender/LuxCor ... tag/latest
check out my newest stuff http://q3de.com/research/
portfolio http://q3de.com/


MB Pro i7 2.3Ghz, IrisPro 1.5GB, GTX750m 2GB - High Sierra
Xeon X5650@4Ghz, 2x GTX 770 Phantom - High Sierra, Windows 10, Ubuntu 18.04

Post Reply